| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Digikam::FFMpegConfigHelper Class Reference

## Static Public Member Functions
static FFMpegProperties | getAudioCodecsProperties ()
| Return a map of Audio Codec Name with a list of properties:
static FFMpegProperties | getExtensionsProperties ()
| Return a map,of File extensions supported with a list of properties:
static FFMpegProperties | getVideoCodecsProperties ()
| Return a map of Video Codec Name with a list of properties:

## Member Function Documentation

## ◆ getAudioCodecsProperties()

FFMpegProperties Digikam::FFMpegConfigHelper::getAudioCodecsProperties | ( |  | ) |
| static

- Codecs description.
- Read support.
- Write support.

## ◆ getExtensionsProperties()

FFMpegProperties Digikam::FFMpegConfigHelper::getExtensionsProperties | ( |  | ) |
| static

- Format description.

## ◆ getVideoCodecsProperties()

FFMpegProperties Digikam::FFMpegConfigHelper::getVideoCodecsProperties | ( |  | ) |
| static

- Codecs description.
- Read support.
- Write support.